Verified Commit 76ead122 authored by mathieui's avatar mathieui

Change the update.sh script

use . instead of source
and add a var for the pyvenv command
parent d2bbbbff
......@@ -8,6 +8,7 @@
cd "$(dirname "$0")"
VENV="poezio-venv"
VENV_COMMAND="pyvenv"
echo 'Updating poezio'
git pull origin slix || {
......@@ -19,18 +20,18 @@ if [ -e "$VENV" ]
then
# In case of a python version upgrade
echo 'Trying to upgrade the virtualenv'
pyvenv --upgrade "$VENV"
$VENV_COMMAND --upgrade "$VENV"
source "$VENV/bin/activate"
. "$VENV/bin/activate"
echo 'Updating the poezio dependencies'
pip install -r requirements.txt --upgrade
echo 'Updating the poezio plugin dependencies'
pip install -r requirements-plugins.txt --upgrade
else
echo "Creating the $VENV virtualenv"
pyvenv "$VENV"
$VENV_COMMAND "$VENV"
source "$VENV/bin/activate"
. "$VENV/bin/activate"
cd "$VENV" # needed to download slixmpp inside the venv
echo 'Installing the poezio dependencies using pip'
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment